# Uses of Interface
org.gitana.platform.client.webhost.WebHost

Packages that use WebHost
Package
Description
org.gitana.platform.client.platform
org.gitana.platform.client.support
org.gitana.platform.client.webhost

## Uses of WebHost in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform that return WebHost
Modifier and Type
Method
Description
`WebHost`
Platform.`createWebHost()`
`WebHost`
Platform.`createWebHost(com.fasterxml.jackson.databind.node.ObjectNode object)`
`WebHost`
PlatformImpl.`createWebHost()`
`WebHost`
PlatformImpl.`createWebHost(com.fasterxml.jackson.databind.node.ObjectNode object)`
`WebHost`
Platform.`readWebHost(String webhostId)`
`WebHost`
PlatformImpl.`readWebHost(String webhostId)`
Methods in org.gitana.platform.client.platform that return types with arguments of type WebHost
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<WebHost>`
Platform.`listWebHosts()`
`org.gitana.platform.support.ResultMap<WebHost>`
Platform.`listWebHosts(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<WebHost>`
PlatformImpl.`listWebHosts()`
`org.gitana.platform.support.ResultMap<WebHost>`
PlatformImpl.`listWebHosts(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<WebHost>`
Platform.`queryWebHosts(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<WebHost>`
Platform.`queryWebHosts(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<WebHost>`
PlatformImpl.`queryWebHosts(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<WebHost>`
PlatformImpl.`queryWebHosts(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`

## Uses of WebHost in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return WebHost
Modifier and Type
Method
Description
`WebHost`
ObjectFactory.`webhost(Platform platform)`
`WebHost`
ObjectFactory.`webhost(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`WebHost`
ObjectFactory.`webhost(Platform platform, Response response)`
`WebHost`
ObjectFactoryImpl.`webhost(Platform platform)`
`WebHost`
ObjectFactoryImpl.`webhost(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`WebHost`
ObjectFactoryImpl.`webhost(Platform platform, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type WebHost
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<WebHost>`
ObjectFactory.`webhosts(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<WebHost>`
ObjectFactoryImpl.`webhosts(Platform platform, Response response)`
Methods in org.gitana.platform.client.support with parameters of type WebHost
Modifier and Type
Method
Description
`AutoClientMapping`
ObjectFactory.`autoClientMapping(WebHost webhost, Response response)`
`AutoClientMapping`
ObjectFactoryImpl.`autoClientMapping(WebHost webhost, Response response)`
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
ObjectFactory.`autoClientMappings(WebHost webhost, Response response)`
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
ObjectFactoryImpl.`autoClientMappings(WebHost webhost, Response response)`
`DeployedApplication`
ObjectFactory.`deployedApplication(WebHost webhost, Response response)`
`DeployedApplication`
ObjectFactoryImpl.`deployedApplication(WebHost webhost, Response response)`
`org.gitana.platform.support.ResultMap<DeployedApplication>`
ObjectFactory.`deployedApplications(WebHost webhost, Response response)`
`org.gitana.platform.support.ResultMap<DeployedApplication>`
ObjectFactoryImpl.`deployedApplications(WebHost webhost, Response response)`

## Uses of WebHost in org.gitana.platform.client.webhost

Classes in org.gitana.platform.client.webhost that implement WebHost
Modifier and Type
Class
Description
`class`
`WebHostImpl`
Methods in org.gitana.platform.client.webhost that return WebHost
Modifier and Type
Method
Description
`WebHost`
AbstractWebHostDocumentImpl.`getWebHost()`
`WebHost`
WebHostDocument.`getWebHost()`
Constructors in org.gitana.platform.client.webhost with parameters of type WebHost
Modifier
Constructor
Description
``
`AbstractWebHostDocumentImpl(WebHost webhost, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`AutoClientMappingImpl(WebHost webhost, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`DeployedApplicationImpl(WebHost webhost, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`